--- title: "List all MFA Providers." slug: "list-all-mfa-providers-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:52Z canonical: "support.appgate.com/list-all-mfa-providers-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # List all MFA Providers. Get/mfa-providers List all MFA Providers visible to current user. SecurityHTTPType bearer Query parametersquerystring Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific. rangestring 'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.' Example0-10 orderBystring The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type. Examplename descendingstring Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type. filterBy Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion. object property*string additionalProperties Example{ "name": "us-east", "tags": "aws" } Responses200 List of MFA Providers. Expand Allobject rangestring The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned. Example0-30/54 orderBystring The field name used to sort the list. Examplename descendingboolean Whether the sorting is applied descending or ascending. queries Array of string The queries applied to the list. string totalCountinteger The total readable count of entities. Not influenced by the query. Example328 filterBy Array of object (FilterBy) The filters applied to the list. object namestring The field name the filter is applied to. Examplename valuestring The value used for comparison. ExampleAWS data Array of object (MfaProvider) List of MFA Providers. object idstring (uuid) ID of the object. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc namestring Name of the object. Exampleobject notesstring Notes for the object. Used for documentation purposes. ExampleThis object has been created for test purposes. createdstring (date-time) Create date. updatedstring (date-time) Last update date. tags Array of string Array of tags. Example[ "developer", "api-created" ]string typestring The type of the MFA Provider. "DefaultTimeBased" and "Fido2" are built-in, new ones cannot be created. Valid values[ "Radius", "DefaultTimeBased", "Fido2" ] hostnames Array of string Hostnames/IP addresses to connect. string Examplemfa.company.com portnumber Port to connect. Example1812.0 inputTypestring The input type used in the client to enter the MFA code. - "Masked" - The input is masked the same way as a password field. - "Numeric" - The input is marked as a numeric input. - "Text" - The input is handled as a regular plain text field. Valid values[ "Masked", "Numeric", "Text" ]Default"Masked"ExampleNumber authenticationProtocolstring Radius protocol to use while authenticating users. Valid values[ "PAP", "CHAP" ]Default"CHAP" timeoutnumber Timeout in seconds before giving up on response. Default6.0 modestring Defines the multi-factor authentication flow for RADIUS. - "OneFactor" - The input from the user is sent as password and the response is used for result. - "Challenge" - Before prompting the user, Controller sends a challenge request to the RADIUS server using "challengeSharedSecret" or the user password. Data from the response is used with user input to send the second RADIUS authentication request. - "Push" - "challengeSharedSecret" or the user password is sent to RADIUS which triggers an external authentication flow. When the external authentication flow returns success, the MFA attempt is authenticated. Valid values[ "OneFactor", "Challenge", "Push" ]Default"Challenge" useUserPasswordboolean -> If enabled, the Client will send the cached password instead of using challengeSharedSecret" to initiate the multi-factor authentication. 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.